<?php
	class Dados{
		var $fileEntregador;
		var $fileCardapio;
		
		function carregaDadosEntregadores(){
			$lstEntregadores = array();
			$l = fgets($this->fileEntregador);		//lendo primeira linha do arquivo - descarta
			while (!feof($this->fileEntregador)) {
				$l = fgets($this->fileEntregador);	//lendo linha do arquivo
				$l = split(';',$l);
				$nomeEntregador = $l[0];
				$placa = $l[1];
				
				$entregador = new Entregador();
				$entregador->nomeEntregador = $nomeEntregador;
				$entregador->placa = $placa;
				
				array_push($lstEntregadores,$entregador); 	//insere entregador na lista de entregadores
			}
				
			$lstEntregadores = $this->ordenaEntregadoresByPlaca($lstEntregadores);
			
			return $lstEntregadores;
		}
		
		function carregaDadosCardapio(){
			$lstCardapio = array();
			$l = fgets($this->fileCardapio);		//lendo primeira linha do arquivo - descarta
			while (!feof($this->fileCardapio)) {
				$l = fgets($this->fileCardapio);	//lendo linha do arquivo
				$l = split(';',$l);
				$codItem = $l[0];
				//$tipoItem = $l[1];
				$nomeItem = $l[2];
				$str = str_replace(",", ".", $l[3]);	//substitui ',' por '.' nos precos
				$preco = floatval($str);	//parse string to float
				//$quente = $l[4];
				//$volume = $l[5];
				
				$item = new Item();
				$item->codItem = $codItem;
				//$item->tipoItem = $tipoItem;
				$item->nomeItem = $nomeItem;
				$item->preco = $preco;
				//$item->quente = $quente;
				//$item->volume = $volume;
				
				array_push($lstCardapio,$item); 	//insere item na lista de itens
			}
			return $lstCardapio;
		}
		
		function getEntregadorByPlaca($lst, $p){	//pesquisa na lista de entregadores o entregador correspondente a placa
			if(!empty($lst)){
				foreach ($lst as $i){
					if($i->placa == $p){
						return $i;
					}
				}
			}
			return null;
		}
		
		function ordenaEntregadoresByPlaca($lst){	//ordena lista de entregadores por ordem da placa
			if(!empty($lst)){
				$lstPlacas = array();
				foreach ($lst as $i){
					array_push($lstPlacas,$i->placa);
				}
				
				asort($lstPlacas);	//ordena lista de placas por ordem alfabetica
				
				$lstEntregadoresOrdenada = array();
				$e = new Entregador();
				
				foreach ($lstPlacas as $j){
					$e = $this->getEntregadorByPlaca($lst,$j);
					array_push($lstEntregadoresOrdenada,$e);
				}
				
				return $lstEntregadoresOrdenada;
			}
			return null;
		}
	}
?>